installing kiteconnect package in AWS EC2 linux for python36

jvshk78trade
AWS EC2 Amazon linux comes with python2.7, after installing kiteconnect package : " from kiteconnect import KiteConnect" gives the following message :
"
:0: UserWarning: You do not have a working installation of the service_identity module: 'cannot import name opentype'. Please install it from and make sure all of its dependencies are satisfied. Without the service_identity module, Twisted can perform only rudimentary TLS client hostname verification. Many valid certificate/hostname mappings may be rejected.
"
"pip2.7 install service_identity" says everything is already installed.

installed python36, but to install kiteconnect package for python36 has not been possible, so far its been only a pain back.

please tell which version of python is suited for kiteconnect and how to install it on AWS EC2 linux
Sign In or Register to comment.